LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Variables
com::sun::star::ucb::NameClash Constant Group Referencepublished

These are the possible values for TransferInfo::NameClash. More...

## Variables
const long | ERROR = 0
| Means to set an error and cancel the operation. More...
const long | OVERWRITE = 1
| Means to overwrite the object in the target folder with the object to transfer. More...
const long | RENAME = 2
| Means to rename the object to transfer to solve the clash. More...
const long | KEEP = 3
| Deprecated. More...
const long | ASK = 4
| Means to use a NameClashResolveRequest in order to solve the name clash. More...

## Detailed Description

These are the possible values for TransferInfo::NameClash.

## Variable Documentation

const long ASK = 4

Means to use a NameClashResolveRequest in order to solve the name clash.

See Also
  com::sun::star::task::XInteractionHandler

const long ERROR = 0

Means to set an error and cancel the operation.

const long KEEP = 3

Deprecated.

Do not use!

Deprecated:

const long OVERWRITE = 1

Means to overwrite the object in the target folder with the object to transfer.

const long RENAME = 2

Means to rename the object to transfer to solve the clash.

The implementation needs to supply and set a suitable new name.